Create a fulfillment service location
POST https://{handle}.myshopline.com/admin/openapi/v20270301/fulfillment_service_location/create.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Create a fulfillment service location.
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Request Body
locationobject required
The information about the fulfillment service location.address1 stringThe first line of the location. This typically includes information such as the street address or a post office box number.Example:126 York Streetaddress2 stringThe second line of the location. This typically includes information such as an apartment, suite, or unit number.Example:Unit 42city stringThe city.Example:Ottawacity_code stringThe code for the city.Example:120100country stringThe country or region.Example:Canadacountry_code string requiredA two-letter country or region code that follows the ISO 3166-1 (alpha 2) standard.Example:CAinventory_management booleanWhether the product inventory for the location is managed by the fulfillment app.true: Managed by the fulfillment app.false: Managed by the SHOPLINE Admin.
Default value:truename string requiredThe location's name.Example:Ottawa Storepermits_sku_sharing booleanWhether the product inventory for the location is shared by other locations.true: The product inventory for the location is shared by other locations.false: The product inventory for the location is not shared by other locations.
Default value:falsephone string requiredThe merchant's phone number.Example:18883290139phone_code stringThe international dialing code for the phone number.Example:0010province stringThe state or province.Example:Ontarioprovince_code stringThe code for the state or province.Example:2400011zip string requiredThe postal code of the location.Example:A1B 2C3
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
locationobject
The information about the fulfillment service location.active booleanWhether the location is enabled.true: Enabledfalse: Not enabled
address1 stringThe first line of the location. This typically includes information such as the street address or a post office box number.Example:126 York Streetaddress2 stringThe second line of the location. This typically includes information such as an apartment, suite, or unit number.Example:Unit 42city stringThe city.Example:Ottawacity_code stringThe code for the city.Example:120100country stringThe country or region.Example:Canadacountry_code stringA two-letter country or region code that follows the ISO 3166-1 (alpha 2) standard.Example:CAcreate_at stringThe date and time when the location was created. Format: ISO 8601.Example:2021-08-16T08:27:57+00:00id stringThe unique identifier for the location.Example:5668167071852661850inventory_management booleanWhether the product inventory for the location is managed by the fulfillment app.true: Managed by the fulfillment app.false: Managed by the SHOPLINE Admin.
is_default booleanWhether the location is the default location.true: The location is the default location.false: The location is not the default location.
legacy booleanWhether the location is exclusive to the fulfillment app.true: The location is exclusive to the fulfillment app.false: The location is not exclusive to the fulfillment app.
name stringThe location's name.Example:Ottawa Storepermits_sku_sharing booleanWhether the product inventory for the location is shared by other locations.true: The product inventory for the location is shared by other locations.false: The product inventory for the location is not shared by other locations.
phone stringThe merchant's phone number.Example:18883290139phone_code stringThe international dialing code for the phone number.Example:0010province stringThe state or province.Example:Ontarioprovince_code stringThe code for the state or province.Example:2400011update_at stringThe date and time when the location was updated. Format: ISO 8601.Example:2021-08-16T08:27:57+00:00zip stringThe postal code of the location.Example:A1B 2C3
API Explorer
Debugger
Examples
Was this article helpful to you?